Bug 78256 - command line scp is much faster then sftp://
Summary: command line scp is much faster then sftp://
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: sftp (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Lucas Fisher
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-22 21:03 UTC by Maurizio Monge
Modified: 2007-05-27 20:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maurizio Monge 2004-03-22 21:03:24 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

When using scp on local network i usually get 9/10 Mb/sec speed, while
doing the same thing with sftp:// in konqueror i get 2/3 Mb/sec.
Comment 1 Dawit Alemayehu 2004-06-16 03:36:50 UTC
This has been addressed for the upcoming KDE 3.3 release. The speed of sftp should be comparable to the equivalent command line tools with that release. 

Thanks for the report.
Comment 2 Mark 2006-04-24 18:34:47 UTC
SFTP is still extremely slow compared against ssh/scp.

Please reopen this bug.

KDE 3.4.3
Comment 3 Thiago Macieira 2006-04-26 18:34:10 UTC
Please compare sftp:// to the sftp command-line. And compare fish:// to ssh/scp.
Comment 4 Mateusz Jędrasik 2007-05-27 20:16:47 UTC
yes.

Still extremely slow, even over a 4mbps dsl link. ~250kB/s through sftp:// over konqueror and ~420kB/s through lftp.

It seems konqueror is doing something evil to saturate the line or maybe just not being able to use it fully.

Regards,

//m.